Unit BK06R_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, BS03R1_p, BK06R1_p;

procedure BK06R(var DATA :Array of Real; var N :Integer; FUNC :FUNC_F1;
                var PROB :Real);

implementation

procedure BK06R(var DATA :Array of Real; var N :Integer; FUNC :FUNC_F1;
                var PROB :Real);
var
J :Integer;
EN,D,FO,FN,FF,DT :Real;
label
_11;
begin
BS03R1(N,DATA);
EN := N;
D := 0.0;
FO := 0.0;
for J:=1 to N do
 begin
  FN := J/EN;
  FF := FUNC(DATA[J-1]);
  DT := EMax1(Abs(FO-FF),Abs(FN-FF));
  if ( DT > D )
   then D := DT;
  FO := FN;
_11:
 end;
PROB := BK06R1(Sqrt(EN)*D);
end;

end.
